Can't install redmine 3.3.2 on Centos7

Added by Marcelo Lemos over 3 years ago

I follow the steps here: http://www.redmine.org/projects/redmine/wiki/How_to_Install_Redmine_on_CentOS_(Detailed) , then go to this part: http://www.redmine.org/projects/redmine/wiki/HowTo_configure_Apache_to_run_Redmine , and got stuck on this part: http://www.redmine.org/projects/redmine/wiki/RedmineInstall - "Step 6 - Database schema objects creation".

[root@redmine2 redmine]# bundle exec rake generate_secret_token
/usr/local/lib/ruby/gems/2.3.0/gems/htmlentities-4.3.1/lib/htmlentities/mappings/expanded.rb:465: warning: key "inodot" is duplicated and overwritten on line 466
[root@redmine2 redmine]# RAILS_ENV=production bundle exec rake db:migrate
/usr/local/lib/ruby/gems/2.3.0/gems/htmlentities-4.3.1/lib/htmlentities/mappings/expanded.rb:465: warning: key "inodot" is duplicated and overwritten on line 466
rake aborted!
Gem::LoadError: Specified 'mysql' for database adapter, but the gem is not loaded. Add `gem 'mysql'` to your Gemfile (and ensure its version is at the minimum required by ActiveRecord).
/var/www/redmine/lib/plugins/acts_as_activity_provider/init.rb:2:in `block in <top (required)>'
/var/www/redmine/config/initializers/00-core_plugins.rb:12:in `eval'
/var/www/redmine/config/initializers/00-core_plugins.rb:12:in `block in <top (required)>'
/var/www/redmine/config/initializers/00-core_plugins.rb:2:in `each'
/var/www/redmine/config/initializers/00-core_plugins.rb:2:in `<top (required)>'
/var/www/redmine/config/environment.rb:14:in `<top (required)>'
/usr/local/bin/bundle:22:in `load'
/usr/local/bin/bundle:22:in `<main>'
Gem::LoadError: mysql is not part of the bundle. Add it to Gemfile.
/var/www/redmine/lib/plugins/acts_as_activity_provider/init.rb:2:in `block in <top (required)>'
/var/www/redmine/config/initializers/00-core_plugins.rb:12:in `eval'
/var/www/redmine/config/initializers/00-core_plugins.rb:12:in `block in <top (required)>'
/var/www/redmine/config/initializers/00-core_plugins.rb:2:in `each'
/var/www/redmine/config/initializers/00-core_plugins.rb:2:in `<top (required)>'
/var/www/redmine/config/environment.rb:14:in `<top (required)>'
/usr/local/bin/bundle:22:in `load'
/usr/local/bin/bundle:22:in `<main>'
Tasks: TOP => db:migrate => environment
(See full trace by running task with --trace)

this is what I have isntalled:


[root@redmine2 Descargas]# ruby -v
ruby 2.3.0p0 (2015-12-25 revision 53290) [x86_64-linux]
[root@redmine2 Descargas]# gem -v
2.6.10
[root@redmine2 Descargas]# gem list

*** LOCAL GEMS ***

actionmailer (4.2.7.1)
actionpack (4.2.7.1)
actionpack-action_caching (1.2.0)
actionpack-xml_parser (1.0.2)
actionview (4.2.7.1)
activejob (4.2.7.1)
activemodel (4.2.7.1)
activerecord (4.2.7.1)
activesupport (4.2.7.1)
addressable (2.5.0)
arel (6.0.4)
bigdecimal (default: 1.2.8)
builder (3.2.3)
bundler (1.14.6)
coderay (1.1.1)
concurrent-ruby (1.0.5)
css_parser (1.4.10)
did_you_mean (1.0.0)
erubis (2.7.0)
globalid (0.3.7)
htmlentities (4.3.1)
i18n (0.8.1)
io-console (default: 0.4.5)
jquery-rails (3.1.4)
json (1.8.6, default: 1.8.3)
loofah (2.0.3)
mail (2.6.4)
mime-types (3.1)
mime-types-data (3.2016.0521)
mimemagic (0.3.2)
mini_portile2 (2.1.0)
minitest (5.10.1, 5.8.3)
mysql (2.9.1)
mysql2 (0.3.21)
net-ldap (0.12.1)
net-telnet (0.1.1)
nokogiri (1.7.0.1)
passenger (5.1.2)
power_assert (0.2.6)
protected_attributes (1.1.3)
psych (default: 2.0.17)
public_suffix (2.0.5)
rack (2.0.1, 1.6.5)
rack-openid (1.4.2)
rack-test (0.6.3)
rails (4.2.7.1)
rails-deprecated_sanitizer (1.0.3)
rails-dom-testing (1.0.8)
rails-html-sanitizer (1.0.3)
railties (4.2.7.1)
rake (12.0.0, 10.4.2)
rbpdf (1.19.0)
rbpdf-font (1.19.0)
rdoc (default: 4.2.1)
redcarpet (3.3.4)
request_store (1.0.5)
roadie (3.2.1)
roadie-rails (1.1.1)
ruby-openid (2.3.0)
rubygems-update (2.6.10)
sprockets (3.7.1)
sprockets-rails (3.2.0)
test-unit (3.1.5)
thor (0.19.4)
thread_safe (0.3.6)

[root@redmine2 Descargas]# rpm -qa | grep http
httpd-devel-2.4.6-45.el7.centos.x86_64
httpd-tools-2.4.6-45.el7.centos.x86_64
httpd-2.4.6-45.el7.centos.x86_64
[root@redmine2 Descargas]# rpm -qa | grep maria
mariadb-devel-5.5.52-1.el7.x86_64
mariadb-5.5.52-1.el7.x86_64
mariadb-libs-5.5.52-1.el7.x86_64
mariadb-server-5.5.52-1.el7.x86_64
[root@redmine2 Descargas]# 

Replies (1)

RE: Can't install redmine 3.3.2 on Centos7 - Added by Juan Diego Iannelli about 3 years ago

Hi, following these steps I've installed redmine 3.4.2 on Centos7 successfully:
https://github.com/jiannelli/vagrant-redmine

(1-1/1)